import type { _MXMetric } from "./MXMetric.js";
import type { _NSMeasurement } from "../Foundation/NSMeasurement.js";
export declare class _MXDiskSpaceUsageMetric extends _MXMetric {
    static alloc(): _MXDiskSpaceUsageMetric;
    static new(): _MXDiskSpaceUsageMetric;
    init(): _MXDiskSpaceUsageMetric;
    /**
     * @property totalBinaryFileSize @abstract Total fixed size used by the app. @discussion Dimensioned as NSUnitInformationStorage, base unit is bytes.
     */
    totalBinaryFileSize(): _NSMeasurement;
    /**
     * @property totalBinaryFileCount @abstract Total count of fixed files owned by the app.
     */
    totalBinaryFileCount(): number;
    /**
     * @property totalDataFileSize @abstract Total data file size used by the app. @discussion Dimensioned as NSUnitInformationStorage, base unit is bytes.
     */
    totalDataFileSize(): _NSMeasurement;
    /**
     * @property totalDataFileCount @abstract Total count of data files owned by the app.
     */
    totalDataFileCount(): number;
    /**
     * @property totalCacheFolderSize @abstract Total file size contained within the apps cache folder. @discussion Dimensioned as NSUnitInformationStorage, base unit is bytes.
     */
    totalCacheFolderSize(): _NSMeasurement;
    /**
     * @property totalCloneSize @abstract Total clone size used by the app. @discussion Dimensioned as NSUnitInformationStorage, base unit is bytes.
     */
    totalCloneSize(): _NSMeasurement;
    /**
     * @property totalDiskSpaceUsedSize @abstract Total disk space used by the app. @discussion Dimensioned as NSUnitInformationStorage, base unit is bytes.
     */
    totalDiskSpaceUsedSize(): _NSMeasurement;
    /**
     * @property totalDiskSpaceCapacity @abstract Total disk space capacity of the device @discussion Dimensioned as NSUnitInformationStorage, base unit is bytes.
     */
    totalDiskSpaceCapacity(): _NSMeasurement;
}
